## xpat2 1.06

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,9 @@
 #       But then, you're on your own...
 #
 #       Should you add / improve translations, please send a copy to
-#       m.bischoff@tu-bs.de for inclusion in future releases.
+#       Michael.Bischoff@gmx.net for inclusion in future releases.
+#	Please ignore any e-mail addresses ending in tu-bs.de, they are
+#	no longer valid.
 
 all:
 	(cd src && xmkmf && $(MAKE) && strip xpat2)
@@ -34,17 +36,17 @@
 
 distrib:
 	$(MAKE) clean
-	(cd ..; tar cvfz xpat2-1.04-src.tar.gz xpat2-1.04)
+	(cd ..; tar cvfz xpat2-1.06-src.tar.gz xpat2-1.06)
 
 bindistrib:
-	(cd /; tar cvfz $(HOME)/xpat2-1.04-bin.tar.gz var/games/xpat* \
+	(cd /; tar cvfz $(HOME)/xpat2-1.06-bin.tar.gz var/games/xpat* \
 	 usr/games/bin/xpat2 usr/man/man6/xpat2.6x usr/doc/xpat2.dvi \
 	 usr/doc/xpat2.lsm usr/games/lib/xpat)
 
 allinterfaces:
-# select a subset of Xlib Xaw Xview Motif
+# select a subset of Xlib Xaw Xview XQt Xm
 # 'make install' will use the last one you selected
-	for iface in Xlib Xview Xaw;				\
+	for iface in Xlib Xm Xview Xaw;				\
 	  do							\
 	  rm -f src/X*.o;					\
 	  sed -e "1,40s/undef use$$iface/define use$$iface/"	\
@@ -53,3 +55,16 @@
 	     cp xpat2 xpat2$$iface);				\
 	  cp lib/XPat.ad.$$iface src/XPat.ad;			\
 	done
+
+# targets from Makefile.Linux with preset directories for the SuSE distribution
+compile.suse:
+	$(MAKE) all \
+		XPATLIBDIR=/usr/X11R6/lib/xpat \
+		XPATMANDIR=/usr/X11R6/man/man6
+
+install.suse:
+	$(MAKE) install \
+		XPATLIBDIR=/usr/X11R6/lib/xpat \
+		XPATMANDIR=/usr/X11R6/man/man6
+	chgrp game /usr/X11/bin/xpat2
+	chmod 2755 /usr/X11/bin/xpat2
