## xpat2 1.07

=== Makefile ===
--- 
+++ 
@@ -36,21 +36,22 @@
 
 distrib:
 	$(MAKE) clean
-	(cd ..; tar cvfz xpat2-1.06-src.tar.gz xpat2-1.06)
+	(cd ..; tar cvfz xpat2-1.07-src.tar.gz xpat2-1.07)
 
 bindistrib:
-	(cd /; tar cvfz $(HOME)/xpat2-1.06-bin.tar.gz var/games/xpat* \
+	(cd /; tar cvfz $(HOME)/xpat2-1.07-bin.tar.gz var/games/xpat* \
 	 usr/games/bin/xpat2 usr/man/man6/xpat2.6x usr/doc/xpat2.dvi \
 	 usr/doc/xpat2.lsm usr/games/lib/xpat)
 
 allinterfaces:
-# select a subset of Xlib Xaw Xview XQt Xm
+# select a subset of Xlib Xaw Xview XQt Xm1 Xm2
 # 'make install' will use the last one you selected
-	for iface in Xlib Xm Xview Xaw;				\
+# 	mv src/Xpat.tmpl src/Xpat.tmpl.none
+	for iface in Xlib Xaw XQt Xm1 Xm2;		\
 	  do							\
 	  rm -f src/X*.o;					\
-	  sed -e "1,40s/undef use$$iface/define use$$iface/"	\
-	     < src/Imakefile.none > src/Imakefile;		\
+	  sed -e "1,50s/undef use$$iface/define use$$iface/"	\
+	     < src/Xpat.tmpl.none > src/Xpat.tmpl;		\
 	  (cd src && xmkmf && make xpat2 && strip xpat2 &&	\
 	     cp xpat2 xpat2$$iface);				\
 	  cp lib/XPat.ad.$$iface src/XPat.ad;			\
