=== debian/changelog ===
xpat2 (1.07-20+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace old Debian Menu with .desktop file (Closes: #738075)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 25 Mar 2025 08:15:55 +0100

xpat2 (1.07-20+nmu2) unstable; urgency=medium

  * NMU
  * Import game on Salsa
  * Set "Rules-Requires-Root: binary-targets" (Closes: #1089481)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 19:04:10 +0100

xpat2 (1.07-20+nmu1) unstable; urgency=medium

  * NMU
  * Fix FTBFS for implicit declaration(s). Closes: #1066684

 -- Steve McIntyre <93sam@debian.org>  Thu, 18 Apr 2024 22:21:46 +0100

xpat2 (1.07-20) unstable; urgency=medium

  * maintainer address change
  * loading/saving used incorrect (and non-symbolic) constants
    (Closes: #816381  #818262)

 -- Arne Wichmann <aw@saar.de>  Wed, 02 Nov 2016 11:32:41 +0100

xpat2 (1.07-19) unstable; urgency=low

  * removed obsolete lintian overrides
  * debian/copyright changed to format 1.0 (at the moment only very
    superficionally - theoretically I should go through all the files for
    this, maybe I do that later. patches welcome.)
  * enabled hardening, including a format string patch.
  * some other smaller fixes
  * localization now works if .UTF-8 is appended to language (Closes: #724648)
  * standards version 3.9.4
  * removed non-working icon from appdefaults (Closes: #710491)

 -- Arne Wichmann <aw@linux.de>  Tue, 29 Oct 2013 22:10:04 +0100

xpat2 (1.07-18) unstable; urgency=low

  * dpkg-source format 3.0 (quilt)
  * Documented problem with wrong number of slots (Closes: #526888)
  * Removed libxp-dev build-dependency (Closes: #623663)
  * standards version 3.9.3
  * build-arch, build-indep introduced

 -- Arne Wichmann <aw@linux.de>  Wed, 27 Jun 2012 22:09:45 +0200

xpat2 (1.07-17) unstable; urgency=low

  * added GID handling to switch_uid (Closes: #560087)
  * debhelper version to 7, standards version 3.8.4

 -- Arne Wichmann <aw@linux.de>  Sun, 25 Apr 2010 15:03:39 +0200

xpat2 (1.07-16) unstable; urgency=low

  [ Arne Wichmann ]
  * Lintian: not ignoring make clean error, standards version 3.8.0, no
    linda-override
  * x-dev -> x11proto-core-dev (Closes: #515422)
  * removed dependency on libice6, libxext6, libsm6 (after being given a
    friendly warning that they are not needed); changed from
    dh_installmanpages to dh_installman

  [ Christoph Berg ]
  * Set menu section to Games/Card.
  * Yet another standards version bump to 3.8.1.

 -- Arne Wichmann <aw@linux.de>  Wed, 15 Apr 2009 18:27:38 +0200

xpat2 (1.07-15) unstable; urgency=low

  * xmkmf and friends moved to xutils-dev, changed dependency accordingly
    (Closes: #485721)

 -- Arne Wichmann <aw@linux.de>  Fri, 13 Jun 2008 10:57:19 +0200

xpat2 (1.07-14) unstable; urgency=low

  * Do not strip before dh_strip (Closes: #438316)

 -- Arne Wichmann <aw@linux.de>  Sat, 25 Aug 2007 01:58:38 +0200

xpat2 (1.07-13) unstable; urgency=low

  * New maintainer. Closes: #369407.
  * Explicitly set the size of the initial dialog window (Closes: #147505)

 -- Arne Wichmann <aw@linux.de>  Fri, 22 Sep 2006 15:17:37 +0200

xpat2 (1.07-12) unstable; urgency=low

  * QA upload
  * Set Maintainer to QA Group
  * Conforms to new Standards version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Tue, 20 Jun 2006 14:50:29 +0200

xpat2 (1.07-11) unstable; urgency=low

  * Fix: Klondike unplayable when maximised (Closes: #189295)
    Thanks to Bas Wijnen for the patch.

 -- Luk Claes <luk@debian.org>  Sun, 12 Feb 2006 18:47:14 +0100

xpat2 (1.07-10) unstable; urgency=low

  * Removed Build-Depends on libselinux1-dev (xorg-x11 mistake caused FTBFS).
    Closes: bug#321288.

 -- Luk Claes <luk@debian.org>  Sat, 20 Aug 2005 19:06:54 +0200

xpat2 (1.07-9) unstable; urgency=low

  * Changed email address to luk@debian.org.
  * Updated Standards-Version.
  * Added Build-Depends on libxp-dev and libselinux1-dev
  * Changed shown syntax . -> :

 -- Luk Claes <luk@debian.org>  Thu,  4 Aug 2005 18:36:02 +0200

xpat2 (1.07-8) unstable; urgency=low

  * New maintainer. Closes: bug#242099.
  * debian/control: splitted xlibs-dev dependencies.
  * debian/compat: debhelper version 4
  * src/Imakefile: manpage section 6x -> 6
  * lib/: removed '/' from links
  * debian/conffiles: removed as debhelper takes care of it
  * debian/overrides.Linda: added the overrides also for linda

 -- Luk Claes <luk.claes@ugent.be>  Mon,  7 Jun 2004 18:09:14 +0200

xpat2 (1.07-7) unstable; urgency=low

  * Orphaned.

 -- Joel Rosdahl <joel@debian.org>  Sun,  4 Apr 2004 21:00:01 +0200

xpat2 (1.07-6) unstable; urgency=low

  * Build-depend on libxaw7-dev instead of libxaw-dev. Closes: bug#226544.
  * Standards-Version 3.6.1.

 -- Joel Rosdahl <joel@debian.org>  Wed,  7 Jan 2004 18:21:11 +0100

xpat2 (1.07-5) unstable; urgency=low

  * Changed build dependency on xlib6g-dev to xlibs-dev.
    Closes: bug#170199.
  * Added build dependencies on debhelper >= 3.0.0 and libxaw-dev.
  * Standards-Version 3.5.8.

 -- Joel Rosdahl <joel@debian.org>  Sat, 25 Jan 2003 23:16:08 +0100

xpat2 (1.07-4) unstable; urgency=low

  * Fixed a bug introduced in 1.07-3. Closes: bug#162461.

 -- Joel Rosdahl <joel@debian.org>  Thu, 26 Sep 2002 19:49:07 +0200

xpat2 (1.07-3) unstable; urgency=low

  * Exit with error when xpmdir is too long. Let some buffers that should
    be able to hold an xpmdir be sufficiently large. Closes: bug#154292.

 -- Joel Rosdahl <joel@debian.org>  Fri, 20 Sep 2002 21:19:03 +0200

xpat2 (1.07-2) unstable; urgency=low

  * Added French translation of the Oonsoo game.  Closes: bug#135938.

 -- Joel Rosdahl <joel@debian.org>  Tue, 26 Feb 2002 21:45:54 +0100

xpat2 (1.07-1) unstable; urgency=low

  * New upstream version.
  * Removed irrelevant information from man page.  Closes: bug#111094.
  * Standards-Version 3.5.6.
  * Moved to DH_COMPAT=3.

 -- Joel Rosdahl <joel@debian.org>  Sun,  7 Oct 2001 10:03:38 +0200

xpat2 (1.06-8) unstable; urgency=low


