=== debian/control ===
Source: xpat2
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Arne Wichmann <aw@saar.de>,
Standards-Version: 3.9.4
Build-Depends:
 debhelper (>= 7.0.0),
 libx11-dev,
 libxaw7-dev,
 libxmu-dev,
 libxpm-dev,
 libxt-dev,
 x11proto-core-dev,
 xutils-dev,
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/games-team/xpat2.git
Vcs-Browser: https://salsa.debian.org/games-team/xpat2
X-Style: black

Package: xpat2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Generic patience game for X11
 xpat2 is a generic patience game which can be used with different rule
 sets. It does understand the rules of the well-known Spider game, as
 well as Klondike and others.
 .
 This program may have difficulties to start if you have an 8-bit or
 monochrome display.
