=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1


ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
  CDEBUGFLAGS += -O0
else
   CDEBUGFLAGS += -O2 -fno-strict-aliasing
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   MAKEFLAGS += -j$(NUMJOBS)
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	dh_auto_build -v --  XPATLIBDIR=/usr/share/games/xpat \
	  SCOREFILE=/var/games/xpat2/xpat.log \
	  EXTRA_DEFINES="$(shell dpkg-buildflags --get CPPFLAGS)" \
	  CCOPTIONS="$(shell dpkg-buildflags --get CFLAGS)" \
	  EXTRA_LDOPTIONS="$(shell dpkg-buildflags --get LDFLAGS)"
	# lintian complains about symlink ending with slash
	-rm lib/de_DE; ln -s german lib/de_DE
	-rm lib/it_IT; ln -s italian lib/it_IT
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp
	# otherwise dpkg-buildpackage barfs
	-rm lib/de_DE; ln -s german/ lib/de_DE
	-rm lib/it_IT; ln -s italian/ lib/it_IT
	$(MAKE) clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) BINDIR=../debian/xpat2/usr/games \
	  LIBDIR=../debian/xpat2/usr/X11R6/lib/X11 \
	  XPATLIBDIR=../debian/xpat2/usr/share/games/xpat \
	  XPATMANDIR=../debian/xpat2/usr/share/man/man6 \
	  APPDEFSDIR=../debian/xpat2/etc/X11 \
	  XAPPLOADDIR=../debian/xpat2/etc/X11/app-defaults \
	  prefix=../debian/xpat2/usr install
	chmod -x debian/xpat2/usr/share/games/xpat/audio/cannotsave.wav \
		 debian/xpat2/usr/share/games/xpat/audio/giveup.wav \
		 debian/xpat2/usr/share/games/xpat/audio/goodbye.wav \
		 debian/xpat2/usr/share/games/xpat/audio/success.wav
	cp debian/override.Lintian debian/xpat2/usr/share/lintian/overrides/xpat2
	dh_installdocs etc/CREDITS etc/PORTING etc/TODO
	dh_installexamples
	dh_install
	dh_installman
	dh_installchangelogs etc/ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	chown -R root.games debian/xpat2/var/games/xpat2
	chown root.games debian/xpat2/usr/games/xpat2
	chmod 2775 debian/xpat2/var/games/xpat2
	chmod 2755 debian/xpat2/usr/games/xpat2
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
