=== debian/watch ===
version=3
opts=pasv ftp://sunsite.unc.edu/pub/Linux/games/solitaires/xpat2-(.*)-src\.tar\.gz
